## xmotd 1.17.3b

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $
 
 # ----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.0bv7kt>
+# Makefile generated from "Imake.tmpl" and <Imakefile>
 # $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
 #
 
@@ -457,7 +457,7 @@
 # ----------------------------------------------------------------------
 # start of Imakefile
 
-# BUILD INSTRUCTIONS:
+# BUILD INSTRUCTIONS (ALSO SEE NOTES):
 # -------------------
 # Step 1. xmkmf -a
 # Step 2. make all
