=== debian/changelog ===
xmotd (1.17.3b-12) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Pedro Morais Mendes <pedromorais.dev@gmail.com>  Sat, 16 Nov 2024 11:05:59 -0300

xmotd (1.17.3b-11) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1050255)
  * debian/: Apply wrap-and-sort -abst.
  * Bump to debhelper compat 13, Standards-Version 4.6.2.
  * debian/compat: Dropped.
  * debian/control: Use new git packaging repo.
  * debian/changelog: Drop trailing spaces.
  * debian/rules: drop obsolete with-autoreconf config.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Dec 2023 15:08:22 -0500

xmotd (1.17.3b-10) unstable; urgency=medium

  * debian/patches/bugfix/fix-warnings-hardening-build.patch:
    - Fix most compile time warnings and avoid crash with hardening
      flags (acknowledgments to Christoph Pleger for the patch)
      (Closes: #889740).
  * Bump debian/compat from 9 to 11.
  * debian/control:
    - Depend on debhelper >= 11 instead of >= 9.
  * debian/control:
    - Bump Standards-Version to 4.1.3.0.
  * debian/copyright:
    - Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 18 Feb 2018 10:04:35 +0100

xmotd (1.17.3b-9) unstable; urgency=medium

  * Make debian/copyright DEP5 compliant.
  * debian/rules:
    - Add hardening flags.
  * debian/control, debian/copyright:
    - Update e-mail address for Hugo Lefeuvre.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
  * debian/patches/*:
    - Fix spellings in manpage.
  * Remove debian/menu (useless because of debian/xmotd.desktop).
  * debian/xmotd.desktop:
    - Add Keywords field.
    - Remove Encoding field.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Sep 2016 21:07:47 +0200

xmotd (1.17.3b-8) unstable; urgency=low

  * debian/control
    - New maintainer (Hugo Lefeuvre) (Closes: #685225).
    - Reformatting of Build-Depends line.
  * debian/copyright
    - Added a line to signal the adoption.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 14 Jun 2014 15:41:41 +0200

xmotd (1.17.3b-7) unstable; urgency=low

  * Bumped standards-version
  * Upload to sid
  * Fixed path to icon in menu file

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Apr 2014 19:57:06 +0200

xmotd (1.17.3b-6) experimental; urgency=low

  * Switched to using topgit and dh(1) with dh-autoreconf
  * bugfix/build-manpage.diff: Also add clean target.
  * Added a README.source file.
  * Added Vcs-* fields.
  * Bumped Standards-Version: to 3.9.4 (no changes needed).
  * Ignore the patches directory.
  * Remove article from description synopsis.
  * Fix typo found by lintian.
  * Improve flags handling.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Feb 2013 13:39:15 +0000

xmotd (1.17.3b-5) unstable; urgency=high

  * Patched to include necessary headers, which fixes segfault on x86_64,
    which in turn closes: Bug#458703
  * Fixed some spelling errors in changelog
  * Moved homepage URL from Description: to the new Homepage: field
  * Updated the menu entry to conform to the new menu policy
  * Bumped standards-version to 3.7.3
  * Updated years in debian/copyright

 -- Marcin Owsiany <porridge@debian.org>  Sun, 20 Jan 2008 21:09:01 +0000

xmotd (1.17.3b-4) unstable; urgency=low

  * Install a resized xmotd.xpm in /usr/share/pixmaps and use it in the menu
    and desktop file
  * Removed libxaw-dev from alternative in build-deps as it does not exist any
    more (left just libxaw7-dev)
  * Tweaked the linking rule in Imakefile to get rid of dependencies we don't
    really need, as detected by checklib.
  * Turned on xpm support in Imakefile
  * Added a uscan watch file, which closes: Bug#377336

 -- Marcin Owsiany <porridge@debian.org>  Tue,  3 Jul 2007 18:47:45 +0100

xmotd (1.17.3b-3) unstable; urgency=low

  * Added a .desktop file, which closes: Bug#368090
  * Quoted "X11" in menu file, added a longtitle to it
  * Switched to dh compat level 5 (from deprecated 3)
  * Added misc:Depends
  * Added a Homepage: line to description
  * Bumped Standards-Version to 3.7.2 (no changes needed)
  * Updated FSF address in debian/copyright
  * Changed dependency on xutils to xutils-dev, since the latter has imake now

 -- Marcin Owsiany <porridge@debian.org>  Sat, 17 Jun 2006 13:17:30 +0100

xmotd (1.17.3b-2) unstable; urgency=low

  * Replaced build-dependency on xlibs-dev with libxmu-dev, libxpm-dev,
    libxt-dev, as suggested by xlibs-split script, closes: Bug#346766

 -- Marcin Owsiany <porridge@debian.org>  Sat, 14 Jan 2006 14:34:11 +0100

xmotd (1.17.3b-1) unstable; urgency=low

  * New upstream version

 -- Marcin Owsiany <porridge@debian.org>  Thu, 10 Jul 2003 13:19:08 +0200

xmotd (1.16.0.1-2) unstable; urgency=low

  * Workaround a bug in sbuild by specifying a non-pure-virtual package in
    build depends, closes: Bug#169986
  * Upgrade to standards-version 3.5.8 (pay attention to DEB_BUILD_OPTIONS)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 24 Jan 2003 20:01:27 +0100

xmotd (1.16.0.1-1) unstable; urgency=high

  * Fixed paths in manpage, thanks to Guido Guenther, closes: Bug#142356
  * Removed the HTML widget library, which is non-free. It was a serious
    policy violation (2.1.2), thus urgency=high.
    The library was disabled in 1.16-1 anyway.
  * Since libhtmlw is no longer included, and without it xmotd doesn't use any
    browser, bug 142407 no longer makes sense, thus closes: Bug#142407
  * Noted in manpage and README.Debian that HTML widget is no longer included.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 13 Apr 2002 20:38:48 +0200

xmotd (1.16-4) unstable; urgency=low

  * Adopting this package, which closes: Bug#116505
  * Added missing backslashes in manpage, which closes: Bug#111678
  * Added a xmotd.man: target to Imakefile. This probably isn't the
    best way to fix the build, but I have more pleasant things to do

