=== debian/control ===
Source: xmotd
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 libxaw7-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 xutils-dev,
Homepage: http://www.ee.ryerson.ca/~elf/xmotd/
Vcs-Git: https://salsa.debian.org/debian/xmotd.git
Vcs-Browser: https://salsa.debian.org/debian/xmotd

Package: xmotd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: message of the day browser for X
 Xmotd is a message-of-the-day browser for X11 (with additional
 sysvnews-like support for dumb terminals).  It displays a customizable
 message box which displays each message-of-the-day until the user has
 read them all, and then creates a stamp-file.
