=== debian/rules ===
#!/usr/bin/make -f
# xmotd package rules file

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/topgit/tg2quilt.mk
/usr/share/topgit/tg2quilt.mk:

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf xmkmf -- -a

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="-g -Wall" CCOPTIONS="$$(dpkg-buildflags --get CFLAGS)" LOCAL_LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"
	ln -sf XMotd XMotd.ad
	
override_dh_auto_clean:
	rm -f XMotd.ad
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/xmotd BINDIR=/usr/bin
	install -d debian/xmotd/usr/share/applications
	install -d debian/xmotd/usr/share/pixmaps
	install -m 0644 debian/xmotd.desktop debian/xmotd/usr/share/applications
	install -m 0644 debian/xmotd.xpm     debian/xmotd/usr/share/pixmaps
