=== debian/tests/control ===
Test-Command: xmotd -help 2>&1 | grep "^Usage"
Restrictions: superficial

Tests: xmotd-in-term
Restrictions: superficial
